SDL_Palette Struct Reference

`#include <SDL_pixels.h>`

Collaboration diagram for SDL_Palette:
[legend]

## Data Fields

int | ncolors
SDL_Color * | colors
Uint32 | version
int | refcount

## Detailed Description

Definition at line 304 of file SDL_pixels.h.

## Field Documentation

## colors

SDL_Color* SDL_Palette::colors

Definition at line 307 of file SDL_pixels.h.

Referenced by Blit1toNAlpha(), Blit1toNAlphaKey(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), Map1to1(), Map1toN(), MapNto1(), pixels_allocFreePalette(), SDL_AllocPalette(), SDL_ConvertSurface(), SDL_CreateRGBSurfaceWithFormat(), SDL_FindColor(), SDL_FreePalette(), SDL_GetRGB(), SDL_GetRGBA(), SDL_LoadBMP_RW(), SDL_SaveBMP_RW(), SDL_SetColorKey(), SDL_SetPaletteColors(), and SDLgfx_rotateSurface().

## ncolors

int SDL_Palette::ncolors

Definition at line 306 of file SDL_pixels.h.

Referenced by Map1to1(), Map1toN(), MapNto1(), pixels_allocFreePalette(), SDL_AllocPalette(), SDL_ConvertSurface(), SDL_CreateRGBSurfaceWithFormat(), SDL_FindColor(), SDL_GetRGB(), SDL_GetRGBA(), SDL_LoadBMP_RW(), SDL_SaveBMP_RW(), SDL_SetColorKey(), SDL_SetPaletteColors(), SDL_SetPixelFormatPalette(), and SDLgfx_rotateSurface().

## refcount

int SDL_Palette::refcount

Definition at line 309 of file SDL_pixels.h.

Referenced by SDL_AllocPalette(), SDL_FreePalette(), and SDL_SetPixelFormatPalette().

## version

Uint32 SDL_Palette::version

Definition at line 308 of file SDL_pixels.h.

Referenced by SDL_AllocPalette(), SDL_LowerBlit(), SDL_MapSurface(), SDL_SetColorKey(), and SDL_SetPaletteColors().

The documentation for this struct was generated from the following file:

- include/SDL_pixels.h